    <h3><?= $env->out["download"]["nom"] ?></h3>
    <br>
    <a href="<?=
         $env->url
         ( array
           ( "e" => "set_artiste_downloads",
             "artiste" => $env->out["artiste"]["id"],
             "action" => "del_download",
             "download" => $_GET[$env->param("download")]
           )
         )
       ?>"
       class="admin_link"
       title="supprimer ce download"
       onclick="return confirm('supprimer ce download ?\nTous les fichiers associ&eacute;s seront aussi supprim&eacute;s')">
      <img src="<?= $env->out_file("icons/del.gif") ?>" />
    </a>
    <form name="set_download"
          action="<?=
           $env->url
           ( array
             ( "e" => "set_artiste_downloads",
               "artiste" => $env->out["artiste"]["id"],
               "action" => "set_download",
               "download" => $_GET[$env->param("download")]
             )
           )
          ?>"
          method="post">
      <input type="hidden" name="action" value="set_download" />
      <table class="admin">
        <tr>
          <th>nom du download</th>
          <td><input type="text" name="nom" value="<?= $env->out["download"]["nom"] ?>" size="40"/></td>
        </tr>
        <tr>
          <th>style</th>
          <td><input type="text" name="style" value="<?= $env->out["download"]["style"] ?>" size="40"/></td>
        </tr>
        <tr>
          <th>licence</th>
          <td>
            <select name="licence">
<?php foreach($env->out["licences"] as $id => $values) : ?>
              <option value="<?= $id ?>"<?= $env->out["download"]["id_licence"] == $id ? " selected" : ""?>><?= $values["nom"] ?></option>
<?php endforeach; ?>
            </select>
            <p class="info">Si vous utilisez une licence ouverte qui n'est pas dans la liste,
            <a href="<?= $env->url(array("e" => "contact")) ?>">contactez-nous</a>.</p>
          </td>
        </tr>
        <tr>
          <th>date de cr&eacute;ation</th>
          <td>
<?php $date_creation = explode("-", $env->out["download"]["date_creation"]); ?>
            jour
            <select name="jour_date_creation">
<?php for($j = 1; $j <=31; $j++) : ?>
              <option value="<?= $j ?>"<?= $date_creation[2] == $j ? " selected" : ""?>><?= $j ?></option>
<?php endfor; ?>
            </select>
            mois
            <select name="mois_date_creation">
<?php for($m = 1; $m <=12; $m++) : ?>
              <option value="<?= $m ?>"<?= $date_creation[1] == $m ? " selected" : ""?>><?= $m ?></option>
<?php endfor; ?>
            </select>
            ann&eacute;e
            <input type="text" size="4" name="annee_date_creation" value="<?= $date_creation[0] ?>">
          </td>
        </tr>
        <tr>
          <th>Album</th>
          <td>
<?php if($env->out["albums"]) : ?>
            <select name="album">
              <option value=""<?= $env->out["download"]["id_album"] ? "" : " selected" ?>>Aucun album</option>
<?php foreach($env->out["albums"] as $id => $album) : ?>
              <option value="<?= $id ?>"<?= $env->out["download"]["id_album"] == $id ? " selected" : ""?>><?= $album["titre"] ?></option>
<?php endforeach; ?>
            </select>
<?php else : ?>
            <p class="info">Vous n'avez inscrit aucun album pour le moment</p>
<?php endif; ?>
          </td>
        </tr>
        <tr>
          <td colspan="2" align="right"><input type="submit" value="Enregistrer" /></td>
        </tr>
      </table>
    </form>

    <h3>fichiers</h3>
    <?php foreach($env->out["download"]["urls"] as $id_url => $url) : ?>
    <form name="set_fichier_<?= $id_url ?>"
          action="<?=
            $env->url
            ( array
              ( "e" => "set_artiste_downloads",
                "artiste" => $env->out["artiste"]["id"],
                "action" => "set_download_url",
                "download" => $_GET[$env->param("download")]
              )
            )
          ?>"
          method="post">
      <input type="hidden" name="action" value="set_fichier" />
      <input type="hidden" name="id_url" value="<?= $id_url ?>" />
      <table class="admin">
        <tr>
          <td>
            url
            <input type="text" name="url" value="<?= $url["url"] ?>" size="25">
            format
            <select name="format">
<?php foreach($env->out["formats"] as $id => $values) : ?>
              <option value="<?= $id ?>"<?= $url["id_format"] == $id ? " selected" : ""?>><?= $values["nom"] ?></option>
<?php endforeach; ?>
            </select>
          </td>
          <td align="right">
            <input type="submit" value="Enregistrer" />
            <a href="<?=
                 $env->url
                 ( array
                   ( "e" => "set_artiste_downloads",
                     "artiste" => $env->out["artiste"]["id"],
                     "action" => "del_download_url",
                     "download" => $_GET[$env->param("download")],
                     "url" => $id_url
                   )
                 )
               ?>"
               class="admin_link"
               title="supprimer ce fichier"
               onclick="return confirm('supprimer ce fichier ?\nSi c\'est le seul fichier pour ce download, le download sera aussi supprim&eacute;')">
              <img src="<?= $env->out_file("icons/del.gif") ?>" />
            </a>
          </td>
      </table>
    </form>
    <?php endforeach; ?>

    <h3>ajouter un fichier</h3>
    <form name="add_fichier"
          action="<?=
            $env->url
            ( array
              ( "e" => "set_artiste_downloads",
                "artiste" => $env->out["artiste"]["id"],
                "action" => "add_download_url",
                "download" => $_GET[$env->param("download")]
              )
            )
          ?>"
          method="post">
      <input type="hidden" name="action" value="add_fichier" />
      <table class="admin">
        <tr>
          <td>
            url
            <input type="text" name="url" value="" size="25">
            format
            <select name="format">
<?php foreach($env->out["formats"] as $id => $values) : ?>
              <option value="<?= $id ?>"><?= $values["nom"] ?></option>
<?php endforeach; ?>
            </select>
          </td>
          <td align="right">
            <input type="submit" value="Ajouter" />
          </td>
      </table>
    </form>
    <div style="clear: both">&nbsp;</div>
